use serde::Serialize;

#[derive(Serialize, Debug)]
pub struct Paginate<T: Serialize> {
    pub total: u32,
    pub page: u32,
    pub page_size: u32,
    pub data: T,
}

impl<T: Serialize> Paginate<T> {
    pub fn new(total: u32, page: u32, page_size: u32, data: T) -> Self {
        Self { total, page, page_size, data }
    }
}