use axum::middleware::from_extractor;
use axum::Router;
use axum::routing::{get, post};

use crate::common::extract::authorization::Authorization;
use crate::handler::user::{list, sign_in, userinfo};

pub fn init_router() -> Router {
    need_auth_routers().merge(not_need_auth_routers())
}

pub fn need_auth_routers() -> Router {
    Router::new()
        // 在此之前的利用中间价鉴权
        .layer(from_extractor::<Authorization>())
        // 之后的利用提取器鉴权
        .route("/userinfo", get(userinfo))
}

pub fn not_need_auth_routers() -> Router {
    Router::new()
        .route("/sign_in", post(sign_in))
        .route("/list", get(list))
}
